#
# spec file for package uncrustify
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           uncrustify
Version:        0.61
Release:        5.5
License:        GPL-2.0+
Summary:        Source Code Beautifier for C, C++, C#, ObjectiveC, D
Url:            http://uncrustify.sourceforge.net/
Group:          Development/Languages/C and C++
Source:         https://github.com/bengardner/uncrustify/archive/uncrustify-0.61.tar.gz
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Source Code Beautifier for C, C++, C#, ObjectiveC, D, Java, Pawn and VALA.

Features:
  * Ident code, aligning on parens, assignments, etc.
  * Align on '=' and variable definitions.
  * Align structure initializers.
  * Align #define stuff.
  * Align backslash-newline stuff.
  * Reformat comments (a little bit).
  * Fix inter-character spacing.
  * Add or remove parens on return statements.
  * Add or remove braces on single-statement if/do/while/for statements.
  * Supports embedded SQL 'EXEC SQL' stuff.
  * Highly configurable - 454 configurable options as of version 0.60.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man?/*
%doc AUTHORS COPYING ChangeLog README documentation/*
%changelog
* Fri May  8 2015 adam@mizerski.pl
- update to 0.61
  - no entry in changelog
* Tue Jul 15 2014 adam@mizerski.pl
- new package (version 0.60)
